AvailabilityDataRLE (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.AvailabilityDataRLE class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class AvailabilityDataRLE

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.measurement.server.session.AvailabilityDataRLE

All Implemented Interfaces:
  java.io.Serializable

    public class AvailabilityDataRLE

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`AvailabilityDataRLE()`
`AvailabilityDataRLE(Measurement meas, long startime, double availType)`
`AvailabilityDataRLE(Measurement meas, long startime, long endtime, double availType)`

Method Summary
`boolean` | `equals(java.lang.Object rhs)`
`long` | `getApproxEndtime()`
`AvailabilityDataId` | `getAvailabilityDataId()`
`double` | `getAvailVal()`
`long` | `getEndtime()`
`static long` | `getLastTimestamp()`
`Measurement` | `getMeasurement()`
`long` | `getStartime()`
`protected void` | `setAvailabilityDataId(AvailabilityDataId id)`
`void` | `setAvailVal(double val)`
`void` | `setEndtime(long endtime)`
`void` | `setMeasurement(Measurement meas)`
`void` | `setStartime(long startime)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvailabilityDataRLE

    public AvailabilityDataRLE()

### AvailabilityDataRLE

    public AvailabilityDataRLE(Measurement meas,
                               long startime,
                               long endtime,
                               double availType)

### AvailabilityDataRLE

    public AvailabilityDataRLE(Measurement meas,
                               long startime,
                               double availType)

Method Detail

### getLastTimestamp

    public static long getLastTimestamp()

### getMeasurement

    public Measurement getMeasurement()

### setMeasurement

    public void setMeasurement(Measurement meas)

### setAvailabilityDataId

    protected void setAvailabilityDataId(AvailabilityDataId id)

### getAvailabilityDataId

    public AvailabilityDataId getAvailabilityDataId()

### getStartime

    public long getStartime()

### setStartime

    public void setStartime(long startime)

### getEndtime

    public long getEndtime()

### setEndtime

    public void setEndtime(long endtime)

### getAvailVal

    public double getAvailVal()

### setAvailVal

    public void setAvailVal(double val)

### getApproxEndtime

    public long getApproxEndtime()

### equals

    public boolean equals(java.lang.Object rhs)

  Overrides:
    `equals` in class `PersistedObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.